Page MenuHomePhabricator

Requesting access to researchers for Addshore
Closed, ResolvedPublic

Description

Username: Addshore
Full name: Adam Shorland
Org: WMDE
Preferred shell user name: addshore (already exists)

Access for event logging sql dbs.
'log' db accessed through stat1003 (as far as I am aware).
For future wikidata / base event logging

Event Timeline

Addshore created this task.Oct 27 2015, 5:48 PM
Addshore raised the priority of this task from to Normal.
Addshore updated the task description. (Show Details)
Addshore added subscribers: Addshore, Deskana, JanZerebecki.
Restricted Application added a project: Operations. · View Herald TranscriptOct 27 2015, 5:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Both? Only researchers is required AFAIK

Going from the descriptions in data.yaml and @JanZerebecki's current groups we believed statistics-users was needed for the access to the host (stat1003) and researchers for access to the mysql db / account details.

If this is not the case then this request can be changed!

Please someone end this analytics group madness.

@Addshore: Take a look at my groups, I have access to stat1003 and the research DBs including eventlogging (log). Researchers are listed in hieradata/role/common/statistics/cruncher.yaml under admin::groups.

Addshore renamed this task from Requesting access to researchers & statistics-users for Addshore to Requesting access to researchers for Addshore.Oct 28 2015, 7:02 AM
Addshore set Security to None.

Amended per @Krenair

Yes. (It is a superset of the group statistics-users.)

I was previously asked to approve access requests from WMDE moving forwards. So, approved.

This has gone through the required three day waiting period. Can it be actioned now?

Dzahn assigned this task to Cmjohnson.Nov 3 2015, 5:43 PM
Dzahn added a subscriber: Dzahn.

Change 250711 had a related patch set uploaded (by Dzahn):
addmin: add add-shore to researchers

https://gerrit.wikimedia.org/r/250711

Change 250711 merged by Cmjohnson:
addmin: add add-shore to researchers

https://gerrit.wikimedia.org/r/250711

Addshore closed this task as Resolved.Nov 3 2015, 6:00 PM